Package org.apache.felix.http.base.internal.whiteboard.tracker

## Class FilterTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker<T,​org.osgi.framework.ServiceReference<T>>
  - - org.apache.felix.http.base.internal.whiteboard.tracker.WhiteboardServiceTracker<javax.servlet.Filter>
    - - org.apache.felix.http.base.internal.whiteboard.tracker.FilterTracker

All Implemented Interfaces:
  `org.osgi.util.tracker.ServiceTrackerCustomizer<javax.servlet.Filter,​org.osgi.framework.ServiceReference<javax.servlet.Filter>>`

    public final class FilterTracker
    extends WhiteboardServiceTracker<javax.servlet.Filter>

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
`FilterTracker​(org.osgi.framework.BundleContext context, WhiteboardManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected WhiteboardServiceInfo<javax.servlet.Filter>` `getServiceInfo​(org.osgi.framework.ServiceReference<javax.servlet.Filter> ref)` Implemented by sub classes to create the correct whiteboard service info object.

### Methods inherited from class org.apache.felix.http.base.internal.whiteboard.tracker.WhiteboardServiceTracker

`addingService, close, modifiedService, removedService`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, open, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterTracker

    public FilterTracker​(org.osgi.framework.BundleContext context,
                         WhiteboardManager manager)

### Method Detail

#### getServiceInfo

    protected WhiteboardServiceInfo<javax.servlet.Filter> getServiceInfo​(org.osgi.framework.ServiceReference<javax.servlet.Filter> ref)

Description copied from class: `WhiteboardServiceTracker`
Implemented by sub classes to create the correct whiteboard service info object.

Specified by:
  `getServiceInfo` in class `WhiteboardServiceTracker<javax.servlet.Filter>`
Parameters:
  `ref` - The service reference
Returns:
  A whiteboard service info